Class Specialization
MemoryManagerIndex
Faster than the pointer version but needs data size of at least size_t.

MemoryManager

MemoryManagerIndex

MemoryManager<TValue, Block<size> >
Include Headers
seqan/seeds.h
Parameters

TValue | The value type, that is the type of the items/characters stored in the manager. Remarks: Use Value to get the value type for a given class.
size | A positive integer that specifies the number of values in each allocated block. Remarks: Size has to be a power of 2, e.g., 1024.

Specialization of
MemoryManager
Metafunctions

Value | Type of the items in the container. (MemoryManager)
Value | Type of the items in the container. (MemoryManager)

Functions

obtainID | btains a new id from the id manager. (MemoryManager)
releaseID | Releases a given id so it can be redistributed later on. (MemoryManager)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51